# Uses of Interface
org.eclipse.birt.chart.model.attribute.Marker

Packages that use Marker
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.type
Contains a default out-of-the-box set of series type interfaces that are associated with all charts.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.
org.eclipse.birt.chart.script

## Uses of Marker in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Marker
Modifier and Type
Method
Description
`Marker`
GObjectFactory.`copyMarkerNoFill(Marker src)`
`Marker`
IGObjectFactory.`copyMarkerNoFill(Marker src)`
Methods in org.eclipse.birt.chart.computation with parameters of type Marker
Modifier and Type
Method
Description
`Marker`
GObjectFactory.`copyMarkerNoFill(Marker src)`
`Marker`
IGObjectFactory.`copyMarkerNoFill(Marker src)`

## Uses of Marker in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event with parameters of type Marker
Modifier and Type
Method
Description
`static StructureSource`
WrappedStructureSource.`createSeriesMarker(Series se, Marker mk)`
Creates a WrappedStructure Source for type Series Marker with a Series parent.

## Uses of Marker in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return Marker
Modifier and Type
Method
Description
`Marker`
Marker.`copyInstance()`
`Marker`
AttributeFactory.`createMarker()`
Returns a new object of class 'Marker'.

## Uses of Marker in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement Marker
Modifier and Type
Class
Description
`class`
`MarkerImpl`
An implementation of the model object ' Marker'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return Marker
Modifier and Type
Method
Description
`Marker`
MarkerImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final Marker`
MarkerImpl.`copyInstanceNoFill(Marker src)`
For accelerating graphic purpose make a fast copy of a Marker without iconPalette, which is obsolete, and the fill, which will be changed in many cases.
`static final Marker`
MarkerImpl.`create(MarkerType markerType, int size)`
`static final Marker`
MarkerImpl.`createDefault(MarkerType markerType, int size, boolean visible)`
`Marker`
AttributeFactoryImpl.`createMarker()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type Marker
Modifier and Type
Method
Description
`static final Marker`
MarkerImpl.`copyInstanceNoFill(Marker src)`
For accelerating graphic purpose make a fast copy of a Marker without iconPalette, which is obsolete, and the fill, which will be changed in many cases.
`static final void`
MarkerImpl.`setFillSimple(Marker marker, Fill fill)`
To set the fill without EMF notifying for accelerating graphic purpose.

## Uses of Marker in org.eclipse.birt.chart.model.type

Methods in org.eclipse.birt.chart.model.type that return Marker
Modifier and Type
Method
Description
`Marker`
GanttSeries.`getEndMarker()`
Returns the value of the 'End Marker' containment reference.
`Marker`
LineSeries.`getMarker()`
Deprecated.
Use Markers property instead.
`Marker`
GanttSeries.`getStartMarker()`
Returns the value of the 'Start Marker' containment reference.
Methods in org.eclipse.birt.chart.model.type that return types with arguments of type Marker
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Marker>`
LineSeries.`getMarkers()`
Returns the value of the 'Markers' containment reference list.
`org.eclipse.emf.common.util.EList<Marker>`
DifferenceSeries.`getNegativeMarkers()`
Returns the value of the 'Negative Markers' containment reference list.
Methods in org.eclipse.birt.chart.model.type with parameters of type Marker
Modifier and Type
Method
Description
`void`
GanttSeries.`setEndMarker(Marker value)`
Sets the value of the '`End Marker`' containment reference.
`void`
LineSeries.`setMarker(Marker value)`
Deprecated.
Use Markers property instead.
`void`
GanttSeries.`setStartMarker(Marker value)`
Sets the value of the '`Start Marker`' containment reference.

## Uses of Marker in org.eclipse.birt.chart.model.type.impl

Methods in org.eclipse.birt.chart.model.type.impl that return Marker
Modifier and Type
Method
Description
`Marker`
GanttSeriesImpl.`getEndMarker()`
`Marker`
LineSeriesImpl.`getMarker()`
`Marker`
GanttSeriesImpl.`getStartMarker()`
Methods in org.eclipse.birt.chart.model.type.impl that return types with arguments of type Marker
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Marker>`
LineSeriesImpl.`getMarkers()`
`org.eclipse.emf.common.util.EList<Marker>`
DifferenceSeriesImpl.`getNegativeMarkers()`
Methods in org.eclipse.birt.chart.model.type.impl with parameters of type Marker
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
GanttSeriesImpl.`basicSetEndMarker(Marker newEndMarker, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
LineSeriesImpl.`basicSetMarker(Marker newMarker, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
GanttSeriesImpl.`basicSetStartMarker(Marker newStartMarker, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
GanttSeriesImpl.`setEndMarker(Marker newEndMarker)`
`void`
LineSeriesImpl.`setMarker(Marker newMarker)`
`void`
GanttSeriesImpl.`setStartMarker(Marker newStartMarker)`

## Uses of Marker in org.eclipse.birt.chart.render

Constructors in org.eclipse.birt.chart.render with parameters of type Marker
Modifier
Constructor
Description
``
`MarkerRenderer(IDeviceRenderer _render, Object _oSource, Location _lo, LineAttributes _la, Fill _paletteEntry, Marker _m, Integer _markerSize, DeferredCache _dc, boolean _bDeferred, boolean _bTransposed)`
``
`MarkerRenderer(IDeviceRenderer _render, Object _oSource, Location _lo, LineAttributes _la, Fill _paletteEntry, Marker _m, Integer _markerSize, DeferredCache _dc, boolean _bDeferred, boolean _bTransposed, int _zOrder)`
The constructor.

## Uses of Marker in org.eclipse.birt.chart.script

Methods in org.eclipse.birt.chart.script with parameters of type Marker
Modifier and Type
Method
Description
`void`
ChartEventHandlerAdapter.`afterDrawMarker(Marker marker, DataPointHints dph, IChartScriptContext icsc)`
`void`
IChartEventHandler.`afterDrawMarker(Marker marker, DataPointHints dph, IChartScriptContext icsc)`
Called after drawing each marker.
`void`
ChartEventHandlerAdapter.`beforeDrawMarker(Marker marker, DataPointHints dph, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDrawMarker(Marker marker, DataPointHints dph, IChartScriptContext icsc)`
Called before drawing each marker.